<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package realm
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<div class="uk-container uk-container-center" id="uk-container">
		<header class="top20">
			<center><div class="hr uk-width-1-2"></div></center>
			<div class="uk-width-1-1 logo">
				<?php 
					if ( get_theme_mod( 'realm_logo' ) ) : 
					?>
						<center><a href="<?php echo home_url();?>"><img src="<?php echo get_theme_mod( 'realm_logo' );?>"></a></center>
					<?php
					else:
						echo '<h1 class="logo uk-text-center"><a href="'.home_url().'">'.get_bloginfo('name').'</a></h1>';
					endif;
				?>
			</div>
			<center><div class="hr uk-width-1-2"></div></center>
		</header>
	    <div id="offcanvas" class="uk-offcanvas">
            <div class="uk-offcanvas-bar">
                <?php
		               if(has_nav_menu('primary')):
					        $args = array(
					            'theme_location' => 'primary',
					            'container' => '',
					            'container_class' => '',
					            'menu_class' => 'uk-nav uk-nav-offcanvas',               
					            'menu_id' => '',
					            'echo' => true,
					            'walker'=> new realm_navwalker()
					        );
					    else:
					        $args = array(
					            'theme_location' => 'primary',
					            'container' => '',
					            'container_class' => '',
					            'menu_class'=> 'uk-nav uk-nav-offcanvas',               
					            'menu_id' => '',
					            'echo' => true,
					            'fallback_cb'=> 'wp_page_menu',
					            'depth'=>-1
					        );
					    endif;
					wp_nav_menu( $args );              
			    ?>
            </div>
        </div>
       	<div id="offcanvas1" class="uk-offcanvas">
            <div class="uk-offcanvas-bar uk-offcanvas-bar-flip uk-offcanvas-bar-show">
            	<?php get_sidebar();?>
            </div>
        </div>    
       