<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package realm
 */
get_header(); ?>
	<div class="uk-grid top20">
		<div class="uk-visible-small uk-width-1-1 small-menu top20">
			<center>
				<a href="#offcanvas" data-uk-offcanvas="" class="uk-icon-button uk-icon-th-large menu-icon" data-uk-tooltip="{pos:'left'}" title="Menu"></a>
				<a href="#offcanvas1" data-uk-offcanvas="" class="uk-icon-button uk-icon-indent sidebar-icon" data-uk-tooltip="{pos:'right'}" title="Sidebar"></a>
			</center>	
		</div>
		<div class="uk-width-large-1-2 uk-width-medium-1-2 uk-width-small-1-1 uk-float-left list front-page">
			<?php 
				if(is_search()):
				?>
				<h1 class="page-title"><?php _e( 'Search result for : ', 'realm' ); echo get_search_query(); ?></h1>
				<?php
				endif;
			?>	
			<?php 
				$realm_post_id;
				$realm_i=0;
				if(have_posts()):
				 	while ( have_posts() ) : the_post(); 
						get_template_part( 'content', get_post_format() );
						if($realm_i==0):
							$realm_post_id= get_the_id();
							$realm_i++;
						endif;	
					endwhile;
				else:
					 get_template_part( 'content', 'none' );
				endif; 
			?>
		</div>
		<div class="uk-width-large-1-2 uk-width-medium-1-2 uk-width-small-1-1 uk-float-left single-thumb front-page">
			<?php 
				if(isset($realm_post_id)):
					$args=array('p'=>$realm_post_id);
					$realm_query= new WP_Query($args);
					if($realm_query->have_posts() ) : ?>
					<?php while ( $realm_query->have_posts() ) : $realm_query->the_post(); ?>
					<header class="entry-header">
						<h1 class="entry-title uk-text-large"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

						<?php if ( 'post' == get_post_type() ) : ?>
						<div class="entry-meta">
							<i class="uk-icon-calendar"></i><a href="<?php the_permalink();?>"><?php echo '  '.get_the_date('j F Y');?></a>
							<span>|</span>
							<i class="uk-icon-user"></i><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo '  '.get_the_author();?></a>
						</div>
						<?php endif; ?>
					</header>
					<?php if ( is_search() ) : // Only display Excerpts for Search ?>
						<div class="entry-summary">
							<?php the_excerpt(); ?>
						</div>
					<?php else : ?>
						<div class="entry-content">
							<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'realm' ) ); ?>
							<?php
								wp_link_pages( array(
									'before' => '<div class="page-links">' . __( 'Pages:', 'realm' ),
									'after'  => '</div>',
								) );
							?>
						</div>
					<?php endif; ?>
					<footer class="entry-footer">
						<?php if ( 'post' == get_post_type() ) :  ?>
							<?php
								$categories_list = get_the_category_list( __( ', ', 'realm' ) );
								if ( $categories_list && realm_categorized_blog() ) :
							?>
							<span class="cat-links">
								<i class="uk-icon-folder-open"></i>
								<?php 
									$categories = get_the_category();
					               	$separator = ', ';
					               	$output = '';
					               	if($categories){
					               		
							                foreach($categories as $category) {
							                   $output .= '<a href="'.get_category_link( $category->term_id).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'realm' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
							                }
						               		echo trim($output, $separator);
						           	}
					           ?>  
							</span>
							<?php endif; ?>
							<span>|</span>
							<?php
								$tags_list = get_the_tag_list( '', __( ', ', 'realm' ) );
								if ( $tags_list ) :
							?>
							<span class="tags-links">

								<i class="uk-icon-tags"></i> <?php  echo get_the_tag_list('',', ',''); ?>
							</span>
							<?php endif;  ?>
						<?php endif;  ?>

						<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
						<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'realm' ), __( '1 Comment', 'realm' ), __( '% Comments', 'realm' ) ); ?></span>
						<?php endif; ?>

						<?php edit_post_link( __( 'Edit', 'realm' ), '<span class="edit-link">', '</span>' ); ?>
					</footer>
					<?php endwhile; ?>
					<?php endif; 
				endif;	
			?>
			<div class="uk-hidden-small uk-width-1-1 top20">
				<center>
					<a href="#offcanvas" data-uk-offcanvas="" class="uk-icon-button uk-icon-th-large menu-icon" data-uk-tooltip="{pos:'left'}" title="Menu"></a>
					<a href="#offcanvas1" data-uk-offcanvas="" class="uk-icon-button uk-icon-indent sidebar-icon" data-uk-tooltip="{pos:'right'}" title="Sidebar"></a>
				</center>	
			</div>
		</div>	
		<div class="realm-pagination uk-width-1-1 top20">		
			<center><?php realm_posts_nav(); ?></center>
		</div>
	</div>
<?php get_footer(); ?>
