<?php
/**
 * The Template for displaying all single posts.
 *
 * @package realm
 */

get_header(); ?>
	<div class="uk-grid">
		<?php 
			if(have_posts()): ?>
				<?php
					if(has_post_thumbnail()){
				?>	
					<div class="uk-width-1-1 top20">
						<center>
						<a href="#offcanvas" data-uk-offcanvas="" class="uk-icon-button uk-icon-th-large menu-icon" data-uk-tooltip="{pos:'left'}" title="Menu"></a>
						<a href="#offcanvas1" data-uk-offcanvas="" class="uk-icon-button uk-icon-indent sidebar-icon" data-uk-tooltip="{pos:'right'}" title="Sidebar"></a>
						</center>
						<br/>
					</div>
					<div class="uk-width-large-1-2 uk-width-medium-1-2 uk-width-small-1-1">
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							<?php the_post_thumbnail('large', array('class' => 'uk-border-rounded uk-thumbnail single-img')); ?>
						</article>
					</div>
					<div class="uk-width-large-1-2 uk-width-medium-1-2 uk-width-small-1-1 post-single">
						<header class="entry-header">
							<h1 class="entry-title uk-text-large"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

							<?php if ( 'post' == get_post_type() ) : ?>
							<div class="entry-meta">
								<a href="<?php the_permalink();?>" class="uk-icon-calendar"><?php echo '  '.get_the_date('j F Y');?></a>
								<span>|</span>
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="uk-icon-user"><?php echo '  '.get_the_author();?></a>
							</div>
							<?php endif; ?>
						</header>
						<?php if ( is_search() ) : // Only display Excerpts for Search ?>
							<div class="entry-summary">
								<?php the_excerpt(); ?>
							</div>
						<?php else : ?>
							<div class="entry-content">
								<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'realm' ) ); ?>
								<?php
									wp_link_pages( array(
										'before' => '<div class="page-links">' . __( 'Pages:', 'realm' ),
										'after'  => '</div>',
									) );

								?>
							</div>
						<?php endif; ?>
					</div>
					<footer class="entry-footer">
						<?php if ( 'post' == get_post_type() ) :  ?>
							<?php
								$categories_list = get_the_category_list( __( ', ', 'realm' ) );
								if ( $categories_list && realm_categorized_blog() ) :
							?>
							<span class="cat-links">
								<i class="uk-icon-folder-open"></i>
								<?php 
									$categories = get_the_category();
					               	$separator = ', ';
					               	$output = '';
					               	if($categories){
					               		
							                foreach($categories as $category) {
							                   $output .= '<a href="'.get_category_link( $category->term_id).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'realm' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
							                }
						               		echo trim($output, $separator);
						           	}
					           ?>  
							</span>
							<?php endif; ?>
							<span>|</span>
							<?php
								$tags_list = get_the_tag_list( '', __( ', ', 'realm' ) );
								if ( $tags_list ) :
							?>
							<span class="tags-links">

								<i class="uk-icon-tags"></i> <?php  echo get_the_tag_list('',', ',''); ?>
							</span>
							<?php endif;  ?>
						<?php endif;  ?>

						<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
						<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'realm' ), __( '1 Comment', 'realm' ), __( '% Comments', 'realm' ) ); ?></span>
						<?php endif; ?>

						<?php edit_post_link( __( 'Edit', 'realm' ), '<span class="edit-link">', '</span>' ); ?>
					</footer>
					<div class="uk-width-1-1 top20">
						<?php realm_posts_nav(); ?>
					</div>
					<?php
						if ( comments_open() || '0' != get_comments_number() ) :
							?>
						<div class="uk-alert">
							<?php comments_template(); ?> 
						</div>	
						<?php	
						endif;
					?>
				
			<?php
				}
				else{
				?>
					<div class="uk-width-1-1 realm-page top20">
						<center>
						<a href="#offcanvas" data-uk-offcanvas="" class="uk-icon-button uk-icon-th-large menu-icon" data-uk-tooltip="{pos:'left'}" title="Menu"></a>
						<a href="#offcanvas1" data-uk-offcanvas="" class="uk-icon-button uk-icon-indent sidebar-icon" data-uk-tooltip="{pos:'right'}" title="Sidebar"></a>
						</center>
						<br/>
						
					</div>
					<div class="uk-width-large-1-1 uk-width-medium-1-1 uk-width-small-1-1 realm-page">
						<header class="entry-header">
							<h1 class="entry-title uk-text-large"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

							<?php if ( 'post' == get_post_type() ) : ?>
							<div class="entry-meta">
								<a href="<?php the_permalink();?>" class="uk-icon-calendar"><?php echo '  '.get_the_date('j F Y');?></a>
								<span>|</span>
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="uk-icon-user"><?php echo '  '.get_the_author();?></a>
							</div>
							<?php endif; ?>
						</header>
						<?php if ( is_search() ) : // Only display Excerpts for Search ?>
						<div class="entry-summary">
							<?php the_excerpt(); ?>
						</div>
						<?php else : ?>
							<div class="entry-content">
								<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'realm' ) ); ?>
								<?php
									wp_link_pages( array(
										'before' => '<div class="page-links">' . __( 'Pages:', 'realm' ),
										'after'  => '</div>',
									) );

								?>
							</div>
						<?php endif; ?>
							<footer class="entry-footer">
							<?php if ( 'post' == get_post_type() ) :  ?>
								<?php
									$categories_list = get_the_category_list( __( ', ', 'realm' ) );
									if ( $categories_list && realm_categorized_blog() ) :
								?>
								<span class="cat-links">
									<i class="uk-icon-folder-open"></i>
									<?php 
										$categories = get_the_category();
						               	$separator = ', ';
						               	$output = '';
						               	if($categories){
						               		
								                foreach($categories as $category) {
								                   $output .= '<a href="'.get_category_link( $category->term_id).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'realm' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
								                }
							               		echo trim($output, $separator);
							           	}
						           ?>  
								</span>
								<?php endif; ?>
								<span>|</span>
								<?php
									$tags_list = get_the_tag_list( '', __( ', ', 'realm' ) );
									if ( $tags_list ) :
								?>
								<span class="tags-links">

									<i class="uk-icon-tags"></i> <?php  echo get_the_tag_list('',', ',''); ?>
								</span>
								<?php endif;  ?>
							<?php endif;  ?>

							<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
							<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'realm' ), __( '1 Comment', 'realm' ), __( '% Comments', 'realm' ) ); ?></span>
							<?php endif; ?>

							<?php edit_post_link( __( 'Edit', 'realm' ), '<span class="edit-link">', '</span>' ); ?>
						</footer>
						<div class="uk-width-1-1 top20">
							<?php realm_posts_nav(); ?>
						</div>
						<?php
						if ( comments_open() || '0' != get_comments_number() ) :
							?>
						<div class="uk-alert">
							<?php comments_template(); ?> 
						</div>	
						<?php	
						endif;
						?>
					</div>
				<?php	
				}
				?>		
				<?php
			endif;					
		?>
	</div>	

<?php get_footer(); ?>